# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.extensions
Class Organization

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.extensions.Organization

All Implemented Interfaces:
  Extension

    public class Organization

extends ExtensionPoint

Describes an organization (like Company).

Nested Class Summary
`static class` `Organization.Rel` Organization type.

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`Organization()` Default mutable constructor.
`Organization(java.lang.String label, java.lang.Boolean primary, java.lang.String rel)` Immutable constructor.

Method Summary
`protected void` `consumeAttributes(AttributeHelper helper)` Consumes attributes from the attribute helper.
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`static ExtensionDescription` `getDefaultDescription(boolean required, boolean repeatable)` Returns the extension description, specifying whether it is required, and whether it is repeatable.
`java.lang.String` `getLabel()` Returns the label.
`OrgDepartment` `getOrgDepartment()` Returns the department name in organization.
`OrgJobDescription` `getOrgJobDescription()` Returns the job description.
`OrgName` `getOrgName()` Returns the name of organization.
`OrgSymbol` `getOrgSymbol()` Returns the organization symbol/ticker.
`OrgTitle` `getOrgTitle()` Returns the position in organization.
`java.lang.Boolean` `getPrimary()` Returns the whether this is the primary organization.
`java.lang.String` `getRel()` Returns the organization type.
`Where` `getWhere()` Returns the office location.
`boolean` `hasLabel()` Returns whether it has the label.
`boolean` `hasOrgDepartment()` Returns whether it has the department name in organization.
`boolean` `hasOrgJobDescription()` Returns whether it has the job description.
`boolean` `hasOrgName()` Returns whether it has the name of organization.
`boolean` `hasOrgSymbol()` Returns whether it has the organization symbol/ticker.
`boolean` `hasOrgTitle()` Returns whether it has the position in organization.
`boolean` `hasPrimary()` Returns whether it has the whether this is the primary organization.
`boolean` `hasRel()` Returns whether it has the organization type.
`boolean` `hasWhere()` Returns whether it has the office location.
`protected void` `putAttributes(AttributeGenerator generator)` Puts attributes into the attribute generator.
`void` `setLabel(java.lang.String label)` Sets the label.
`void` `setOrgDepartment(OrgDepartment orgDepartment)` Sets the department name in organization.
`void` `setOrgJobDescription(OrgJobDescription orgJobDescription)` Sets the job description.
`void` `setOrgName(OrgName orgName)` Sets the name of organization.
`void` `setOrgSymbol(OrgSymbol orgSymbol)` Sets the organization symbol/ticker.
`void` `setOrgTitle(OrgTitle orgTitle)` Sets the position in organization.
`void` `setPrimary(java.lang.Boolean primary)` Sets the whether this is the primary organization.
`void` `setRel(java.lang.String rel)` Sets the organization type.
`void` `setWhere(Where where)` Sets the office location.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getHandler, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild, visitChildren`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Organization

    public Organization()

  Default mutable constructor.

### Organization

    public Organization(java.lang.String label,
                        java.lang.Boolean primary,
                        java.lang.String rel)

  Immutable constructor.

  Parameters:
    `label` - label.
    `primary` - whether this is the primary organization.
    `rel` - organization type.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.

### getLabel

    public java.lang.String getLabel()

  Returns the label.

  Returns:
    label

### setLabel

    public void setLabel(java.lang.String label)

  Sets the label.

  Parameters:
    `label` - label or `null` to reset

### hasLabel

    public boolean hasLabel()

  Returns whether it has the label.

  Returns:
    whether it has the label

### getOrgDepartment

    public OrgDepartment getOrgDepartment()

  Returns the department name in organization.

  Returns:
    department name in organization

### setOrgDepartment

    public void setOrgDepartment(OrgDepartment orgDepartment)

  Sets the department name in organization.

  Parameters:
    `orgDepartment` - department name in organization or `null` to reset

### hasOrgDepartment

    public boolean hasOrgDepartment()

  Returns whether it has the department name in organization.

  Returns:
    whether it has the department name in organization

### getOrgJobDescription

    public OrgJobDescription getOrgJobDescription()

  Returns the job description.

  Returns:
    job description

### setOrgJobDescription

    public void setOrgJobDescription(OrgJobDescription orgJobDescription)

  Sets the job description.

  Parameters:
    `orgJobDescription` - job description or `null` to reset

### hasOrgJobDescription

    public boolean hasOrgJobDescription()

  Returns whether it has the job description.

  Returns:
    whether it has the job description

### getOrgName

    public OrgName getOrgName()

  Returns the name of organization.

  Returns:
    name of organization

### setOrgName

    public void setOrgName(OrgName orgName)

  Sets the name of organization.

  Parameters:
    `orgName` - name of organization or `null` to reset

### hasOrgName

    public boolean hasOrgName()

  Returns whether it has the name of organization.

  Returns:
    whether it has the name of organization

### getOrgSymbol

    public OrgSymbol getOrgSymbol()

  Returns the organization symbol/ticker.

  Returns:
    organization symbol/ticker

### setOrgSymbol

    public void setOrgSymbol(OrgSymbol orgSymbol)

  Sets the organization symbol/ticker.

  Parameters:
    `orgSymbol` - organization symbol/ticker or `null` to reset

### hasOrgSymbol

    public boolean hasOrgSymbol()

  Returns whether it has the organization symbol/ticker.

  Returns:
    whether it has the organization symbol/ticker

### getOrgTitle

    public OrgTitle getOrgTitle()

  Returns the position in organization.

  Returns:
    position in organization

### setOrgTitle

    public void setOrgTitle(OrgTitle orgTitle)

  Sets the position in organization.

  Parameters:
    `orgTitle` - position in organization or `null` to reset

### hasOrgTitle

    public boolean hasOrgTitle()

  Returns whether it has the position in organization.

  Returns:
    whether it has the position in organization

### getPrimary

    public java.lang.Boolean getPrimary()

  Returns the whether this is the primary organization.

  Returns:
    whether this is the primary organization

### setPrimary

    public void setPrimary(java.lang.Boolean primary)

  Sets the whether this is the primary organization.

  Parameters:
    `primary` - whether this is the primary organization or `null` to reset

### hasPrimary

    public boolean hasPrimary()

  Returns whether it has the whether this is the primary organization.

  Returns:
    whether it has the whether this is the primary organization

### getRel

    public java.lang.String getRel()

  Returns the organization type.

  Returns:
    organization type

### setRel

    public void setRel(java.lang.String rel)

  Sets the organization type.

  Parameters:
    `rel` - organization type or `null` to reset

### hasRel

    public boolean hasRel()

  Returns whether it has the organization type.

  Returns:
    whether it has the organization type

### getWhere

    public Where getWhere()

  Returns the office location.

  Returns:
    office location

### setWhere

    public void setWhere(Where where)

  Sets the office location.

  Parameters:
    `where` - office location or `null` to reset

### hasWhere

    public boolean hasWhere()

  Returns whether it has the office location.

  Returns:
    whether it has the office location

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription(boolean required,
                                                             boolean repeatable)

  Returns the extension description, specifying whether it is required, and whether it is repeatable.

  Parameters:
    `required` - whether it is required
    `repeatable` - whether it is repeatable
  Returns:
    extension description

### putAttributes

    protected void putAttributes(AttributeGenerator generator)

  Description copied from class: `AbstractExtension`
  Puts attributes into the attribute generator. Called from `AbstractExtension.generate(XmlWriter,ExtensionProfile)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `putAttributes` in class `AbstractExtension`
  Parameters:
    `generator` - attribute generator

### consumeAttributes

    protected void consumeAttributes(AttributeHelper helper)
                              throws ParseException

  Description copied from class: `AbstractExtension`
  Consumes attributes from the attribute helper. May also use `AttributeHelper.consumeContent(boolean)` to consume the element's text content. Called from `AbstractExtension.getHandler(com.google.gdata.data.ExtensionProfile, java.lang.String, java.lang.String, org.xml.sax.Attributes)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `consumeAttributes` in class `AbstractExtension`
  Parameters:
    `helper` - attribute helper
  Throws:
    `ParseException` - any parsing exception

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`